Skip to main content
POST
/
api
/
v0
/
repositories
/
{repo_id}
/
findings
/
{finding_ref}
/
comment
Add a comment to an existing finding in a repository.
curl --request POST \
  --url https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}/comment \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "parent": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}/comment"

payload = {
"content": "<string>",
"parent": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', parent: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}/comment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required
finding_ref
required

Reference to a finding, either a finding id or finding number.

Body

application/json

Create a new comment on a finding.

content
string
required

The content is expected to be valid markdown, but this is not validated at this time.

Users can "ping" other users by using:

  • @project to ping all company users associated with the company, or
  • @username to ping auditors (reviewers, judges and triagers) that are part of the repository.

A ping will cause the pinged user(s) to receive a notification.

parent
string<uuid> | null

Comment is in a reply to a thread.

visibility
null | enum<string>

Visibility of a comment.

Reviewers can currently only create public comments.

Defaults to public comment.

Available options:
public,
private,
internal,
hidden

Response

Comment added

id
string<uuid>
required